import QtQuick 1.0
import MOLOMELib 1.0
import "../../util/constant.js" as Constant

Image {
    id: buttonbase

    signal clicked

    property string text

    width: btn.width
    height: btn.height

    Button {
        id: btn
        bitmap: "../res/btn_big_footer_normal.png"
        bitmap_pressed: "../res/btn_big_footer_pressed.png"
        textColor: "#4d4d4d"
        textSunkenColor: "#acacac"
        pressedTextColor: "#ffffff"
        text: buttonbase.text
        onClicked: {
            parent.clicked()
        }
    }

}
