import QtQuick 1.0
import "../UIComponents"

Item {
    id: itemLoadmore
    signal clicked
    anchors.top: parent.top
    width: parent.width
    height: childrenRect.height + themeManager.tenPadding * 2
    anchors.left: parent.left
    anchors.right: parent.right

    LoadMoreButton {
        id: btnLoadmore
        anchors.top: parent.top
        anchors.topMargin: themeManager.tenPadding
        anchors.bottomMargin: themeManager.tenPadding
        text: notificationPage.isLoading ? "Loading.." : "Load More"
        isLoading: notificationPage.isLoading
        onClicked: itemLoadmore.clicked()
    }
}
