import QtQuick 1.0

RadioButton {
    id: friendButton

    property int textValue
    property string textType

    bitmap: "../res/profile_summary_button.png"
    bitmap_pressed: "../res/profile_summary_button_click.png"
    bitmap_selected: "../res/profile_summary_button_click.png"
    selected: false

    Text {
        id: numOfItem
        x: 0
        y: themeManager.numOfSummaryY
        styleColor: "#dcdcdc"
        font.bold: true
        verticalAlignment: Text.AlignBottom
        horizontalAlignment: Text.AlignHCenter
        width: parent.width
        height: parent.height >> 1
        color: "#909090"
        text: friendButton.textValue
        font.pixelSize: themeManager.smallButtonFontSize
    }
    Text {
        id: typeOfItem
        y: themeManager.typeOfSummaryY
        width: parent.width
        height: parent.height >> 1
        color: "#808080"
        text: textType
        styleColor: "#dcdcdc"
        font.bold: true
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: themeManager.smallButtonFontSize
    }
}
