import QtQuick 1.0
import "../UIComponents"

Item {
    id: multiDelegate

    height: themeManager.chooseIntervalListComponentHeight
    width: multiDelegate.ListView.view.width

    Component {
        id: chooseLanguageDelegate
        ChooseIntervalListComponent {
            id: chooseLanguageComponent
            text: _text
            interval: _interval
            onClicked: chooseLanguageListView.clicked(interval)
        }
    }

    Loader {
        id: itemDisplay
        anchors.fill: parent
        sourceComponent: chooseLanguageDelegate
    }
}
