import QtQuick 1.0
import MOLOMELib 1.0
import "../../util/constant.js" as Constant

ListModel {
    id: dataChooseLanguage

    function addElement() {
        dataChooseLanguage.append({"_text": "English", "_selected": "true", "_language": Constant.LANGUAGE_ENGLISH});
        dataChooseLanguage.append({"_text": "ภาษาไทย", "_selected": "false", "_language": Constant.LANGUAGE_THAI});
        dataChooseLanguage.append({"_text": "Bahasa", "_selected": "false", "_language": Constant.LANGUAGE_BAHASA});
        dataChooseLanguage.append({"_text": "Vietnamese", "_selected": "false", "_language": Constant.LANGUAGE_VIETNAMESE});
    }
    Component.onCompleted: addElement()
}

