import QtQuick 1.0

Item {
    id: colorPickComponent
    property variant ref
    property bool color1P: false
    property bool color2P: false
    property bool color3P: false
    property bool color4P: false
    property bool color5P: false
    property bool color6P: false
    property bool color7P: false
    property bool color8P: false

    width: childrenRect.width
    height: childrenRect.height

    Image {
        id: color1
        source: "../res/color1.png"
        Image {
            id: color1CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color1P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color1HitBox
            anchors.fill: parent
            onClicked: {
                if(colorPickComponent.color1P == false) {
                    colorPickComponent.color1P = true;
                } else {
                    colorPickComponent.color1P =false;
                }
            }
        }
    }
    Image {
        id: color2
        anchors.left: color1.right
        source: "../res/color2.png"
        Image {
            id: color2CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color2P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color2HitBox
            anchors.fill: parent
            onClicked: {
                if(colorPickComponent.color2P == false) {
                    colorPickComponent.color2P = true;
                } else {
                    colorPickComponent.color2P = false;
                }
            }
        }
    }
    Image {
        id: color3
        anchors.left: color2.right
        source: "../res/color3.png"
        Image {
            id: color3CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color3P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color3HitBox
            anchors.fill: parent
            onClicked: {
                if (colorPickComponent.color3P == false){
                    colorPickComponent.color3P = true;
                } else {
                    colorPickComponent.color3P = false;
                }
            }
        }
    }
    Image {
        id: color4
        anchors.left: color3.right
        source: "../res/color4.png"
        Image {
            id: color4CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color4P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color4HitBox
            anchors.fill: parent
            onClicked: {
                if (colorPickComponent.color4P == false){
                    colorPickComponent.color4P = true;
                } else {
                    colorPickComponent.color4P = false;
                }
            }
        }
    }
    Image {
        id: color5
        anchors.top: color1.bottom
        source: "../res/color5.png"
        Image {
            id: color5CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color5P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color5HitBox
            anchors.fill: parent
            onClicked: {
                if(colorPickComponent.color5P == false) {
                    colorPickComponent.color5P = true;
                } else {
                    colorPickComponent.color5P = false;
                }
            }
        }
    }
    Image {
        id: color6
        anchors.top: color2.bottom
        anchors.left: color5.right
        source: "../res/color6.png"
        Image {
            id: color6CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color6P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color6HitBox
            anchors.fill: parent
            onClicked: {
                if (colorPickComponent.color6P == false) {
                    colorPickComponent.color6P = true;
                } else {
                    colorPickComponent.color6P = false;
                }
            }
        }
    }
    Image {
        id: color7
        anchors.top: color3.bottom
        anchors.left: color6.right
        source: "../res/color7.png"
        Image {
            id: color7CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color7P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color7HitBox
            anchors.fill: parent
            onClicked: {
                if(colorPickComponent.color7P == false) {
                    colorPickComponent.color7P = true;
                } else {
                    colorPickComponent.color7P = false;
                }
            }
        }
    }
    Image {
        id: color8
        anchors.top: color4.bottom
        anchors.left: color7.right
        source: "../res/color8.png"
        Image {
            id: color8CheckBox
            source: "../res/selected.png"
            visible: (colorPickComponent.color8P == true) ? true : false
            anchors.centerIn: parent
        }
        MouseArea {
            id: color8HitBox
            anchors.fill: parent
            onClicked: {
                if (colorPickComponent.color8P == false) {
                    colorPickComponent.color8P = true;
                } else {
                    colorPickComponent.color8P = false;
                }
            }
        }
    }


}
