import Qt 4.7
import QtWebKit 1.0
import "../../util/constant.js" as Constant

WebView {
    id: twAuth
    anchors.fill: parent
    property bool isLoadComplete: false
    property string user_oauth_token: ""
    property string user_uid: ""
    property bool user_is_authenticated: false

    function doAuthorize(token)
    {
        url = "https://www.dropbox.com/1/oauth/authorize?display=mobile&oauth_token=" + token + "&oauth_callback=http://molo.me/auth/dropbox/?command=cb";
    }

    function loginObserver(){
        var token_re            = "uid=(.*)&oauth_token=(.*)", // token
            login_success_re    = "^(http|https)://molo.me/auth/dropbox", // to test login_success page
            matchable           = url.toString(), // url string
            oauth_user_uid      = undefined,
            oauth_token         = undefined;

        console.log("url: " + url);

        if ( matchable.match(login_success_re) && /oauth_token/.test(matchable) ) { // if page is login_success and contains access_token
            var match = matchable.match(token_re);
            oauth_user_uid = match[1];
            oauth_token    = match[2];
        }

        if (oauth_token) { // when we have token and user id
            user_uid = oauth_user_uid;
            user_oauth_token = oauth_token;
            user_is_authenticated = true; // set booolean

            //console.log("user_uid = " + user_uid + ", user_oauth_token = " + user_oauth_token);
            return true
        }
    }

    // signal handlers

    onLoadFinished: {
        loginObserver();
        twAuth.isLoadComplete = true;
    }


}

