import Qt 4.7
import QtWebKit 1.0
import "../../util/constant.js" as Constant

WebView {
    id: twAuth
    anchors.fill: parent
    property bool isLoadComplete: false
    property string code: ""
    property bool user_is_authenticated: false

    function startAuthorize()
    {
        //url = "https://accounts.google.com/o/oauth2/auth?scope=https://www.googleapis.com/auth/userinfo.email+https://www.googleapis.com/auth/userinfo.profile+https://www.googleapis.com/auth/drive.file&state=/profile&redirect_uri=http://localhost&response_type=code&client_id=263275434959.apps.googleusercontent.com";
        url = "https://accounts.google.com/o/oauth2/auth?scope=https://www.googleapis.com/auth/userinfo.email+https://www.googleapis.com/auth/userinfo.profile+https://www.googleapis.com/auth/drive.file&state=/profile&redirect_uri=urn:ietf:wg:oauth:2.0:oob&response_type=code&client_id=263275434959.apps.googleusercontent.com";
    }

    function loginObserver(){
        var code_re             = "<input id=\"code\" type=\"text\" readonly=\"readonly\" value=\"([^\"]*)\"",
            login_success_re    = "^(http|https)://accounts.google.com/o/oauth2/approval", // to test login_success page
            matchable           = url.toString(), // url string
            oauth_code          = undefined;

        //console.log("url: " + url);

        if ( matchable.match(login_success_re) ) { // if page is login_success and contains access_token
            var match = html.match(code_re);
            oauth_code = match[1];
            //console.log("Code = " + oauth_code + "::");
            code = oauth_code;
            user_is_authenticated = true; // set booolean
            return true;
        }
    }

    // signal handlers

    onLoadFinished: {
        loginObserver();
        twAuth.isLoadComplete = true;
    }


}

