import QtQuick 1.0

Item {
    id: groupBox
    width: themeManager.screenWidth
    height: childrenRect.height
    property string bioText
    Image {
        id: header
        source: "../res/groupbox_top_bg.png"
    }
    Image {
        id: body
        anchors.top: header.bottom
        source:  "../res/groupbox_body_bg.png"
        height: childrenRect.height
        Text {
            id: textEditBio
            anchors.left: parent.left
            anchors.leftMargin: themeManager.bigPadding
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            width: parent.width
            text: groupBox.bioText
            font.pixelSize: themeManager.groupLabelFontSize
            color: "gray"
            wrapMode: TextEdit.WrapAtWordBoundaryOrAnywhere
        }
    }
    Image {
        id: bottom
        anchors.top: body.bottom
        source:  "../res/groupbox_bottom_bg.png"
    }
}

