import QtQuick 1.0
import "../ButtonComponents"

Image {
    id: headerbase
    source: "../res/header_button_bg.png"
    property bool isRefreshBtnAcive: false
    property bool isLoading: true
    signal clicked
    signal cancelClicked
    Item {
        id: boxBtnRefresh
        visible: headerbase.isRefreshBtnAcive
        anchors.right: parent.right
        anchors.rightMargin: btnFriend.width + 10
        anchors.verticalCenter: parent.verticalCenter
        height: parent.height
        RadioButton {
            id: btnFriend
            x: 0
            y: 0
            anchors.verticalCenter: parent.verticalCenter
            visible: headerbase.isLoading ? false : true
            bitmap: "../res/btn_refresh.png"
            bitmap_pressed: "../res/btn_refresh_highlighted_overlay.png"
            bitmap_selected: "../res/btn_refresh_highlighted_overlay.png"
            selected: false

            onClicked: {
                headerbase.clicked();
            }
        }
        RadioButton {
            id: btnCancleRefresh
            x: 0
            y: 0
            anchors.verticalCenter: parent.verticalCenter
            visible: headerbase.isLoading ? true : false
            bitmap: "../res/btn_stop.png"
            bitmap_pressed: "../res/btn_stop_highlighted_overlay.png"
            bitmap_selected: "../res/btn_stop_highlighted_overlay.png"
            selected: false
            onClicked: {
                headerbase.cancelClicked();
            }
        }
    }
}
