import QtQuick 1.0

Image {
    id: photoUploadBarComponent
    property string sourcePhoto
    property string folderCode
    source: photoUploadBarComponent.sourcePhoto
    Component.onCompleted: globalServices.uploadQueueCanceled.connect(onQueueCanceled);
    Component.onDestruction: globalServices.uploadQueueCanceled.disconnect(onQueueaCanceled);

    function onQueueCanceled(folderCode) {
        if (photoUploadBarComponent.folderCode === folderCode)
            photoUploadBarComponent.visible = false;
    }
}
