import QtQuick 1.0
import MOLOMELib 1.0

Item {
    id: uploadPhotoComponent

    signal clicked

    width: (themeManager.screenWidth >> 1) - themeManager.smallPadding
    height: (themeManager.screenWidth >> 1) - themeManager.smallPadding

    Image {
        id: photoArea
        anchors.top: parent.top
        anchors.topMargin: themeManager.bigPadding
        source: "../res/border.png"
        Image {
            id: image
            source: uploaderQueueModel.getQueueThumbImagePath(folder_code)
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.leftMargin: themeManager.smallPadding
            anchors.rightMargin: themeManager.smallPadding
            anchors.top: parent.top
            anchors.topMargin: themeManager.smallPadding
            anchors.bottom: parent.bottom
            anchors.bottomMargin: themeManager.fifteenPadding
            width: photoArea.width
            height: photoArea.height
        }
    }
    Image {
        id: closeimage
        source: (hitBox.pressed && hitBox.containsMouse) ? "../res/btn_close_click.png" : "../res/btn_close.png"
        anchors.top: parent.top
        anchors.right: parent.right
        anchors.rightMargin: themeManager.bigPadding
        MouseArea {
            id: hitBox
            anchors.fill: parent
            onClicked: uploadPhotoComponent.clicked()
        }
    }
}
