import Qt 4.7
import QtWebKit 1.0
import "../../util/constant.js" as Constant

WebView {
    id: twAuth
    //url: tw_oauth_token ? tw_authentication_url : ""
    anchors.fill: parent
    property bool isLoadComplete: false
    //property string tw_oauth_token
    //property string tw_authentication_url: "https://www.tumblr.com/oauth/authorize?force_login=true&oauth_token="+tw_oauth_token
    property string user_oauth_verifier: ""
    property string user_oauth_token: ""
    property bool user_is_authenticated: false

    function doAuthorize(token)
    {
        url = "http://api.t.sina.com.cn/oauth/authorize?display=mobile&oauth_token=" + token + "&oauth_callback=http://molo.me/auth/weibo/?command=cb";
    }

    function loginObserver(){
        var token_re            = "oauth_token=(.*)&oauth_verifier=(.*)", // token
            login_success_re    = "^(http|https)://molo.me/auth/weibo", // to test login_success page
            matchable           = url.toString(), // url string
            oauth_token         = undefined,
            oauth_verifier      = undefined;
        //getCommon().print(matchable);
//        console.debug("url:"+url.toString());
        if ( matchable.match(login_success_re) && /oauth_token/.test(matchable) ) { // if page is login_success and contains access_token
            var match = matchable.match(token_re);
//            getCommon().print(match);
            oauth_token    = match[1];//.replace(/\\u00257C/g, "|"); // replace unicode if found (if js redirect is followed it will be found)
            oauth_verifier = match[2];
        }

        if (oauth_token) { // when we have token and user id
            user_oauth_token = oauth_token;
            user_oauth_verifier = oauth_verifier;
            user_is_authenticated = true; // set booolean
            return true
        }
    }


    // signal handlers

    onLoadFinished: {
        loginObserver();
        twAuth.isLoadComplete = true;
//        console.debug("#####onLoadFinished"+html.toString());
    }


}

