var itemList = new Array();

function getFilterItems() {
    return itemList;
}

function getFilterItem(i) {
    return itemList[i];
}

function selectItem(i) {
    for(var j = 0; j < itemList.length; j++) {
        itemList[j].selected = false;
    }
    itemList[i].selected = true;
}

function selectItemByName(name) {
    for (var j = 0; j < itemList.length; j++) {
        if (itemList[j].text === name )
            itemList[j].selected = true;
        else
            itemList[j].selected = false;
    }
}

function getItemByName(name) {
    var item = null;
    for (var j = 0; j < itemList.length; j++) {
        if (itemList[j].text === name )
            item = itemList[j];
    }
    return item;
}

function destroyAll(){
    for(var i = 0; i < itemList.length; i++) {
        itemList[i].destroy(0);
    }
}

function destroyComponent(id) {
    id.destroy(0);
}

function createFilterIconControl(filter, imageCount) {
    var component;
    var sprite;
    component = Qt.createComponent("../UIComponents/FilterIcon.qml");
    sprite = component.createObject(filterFlow);
    sprite.text = filter.name;
    sprite.filterId = filter.filterId;
    sprite.thumbPath = filter.thumbPath;
    sprite.imagesToUnlock = filter.imagesToUnlock;
    sprite.expensive = filter.expensiveFilter;
    if (filter.imagesToUnlock > imageCount)
        sprite.locked = true;
    else
        sprite.locked = false;

    itemList.push(sprite);
    return sprite;
}

