function openPhotoViewFromPictureInfo(pictureInfo)
{
    //if (QMapUtils.getDataByKey(pictureInfo, "picture_id"))
    {
        var param = {
            love_count: QMapUtils.getDataByKey(pictureInfo, "love_count"),
            done_love : QMapUtils.getDataByKey(pictureInfo, "done_love"),
            comment_count : QMapUtils.getDataByKey(pictureInfo, "comment_count"),
            picture_name : QMapUtils.getDataByKey(pictureInfo, "name"),
            picture_code : QMapUtils.getDataByKey(pictureInfo, "picture_code"),
            profile_picture_code : QMapUtils.getDataByKey(pictureInfo, "profile_picture_code", "null"),
            view_count : QMapUtils.getDataByKey(pictureInfo, "view_count"),
            create_time : QMapUtils.getDataByKey(pictureInfo, "create_time"),
            user_id_ : QMapUtils.getDataByKey(pictureInfo, "user_id"),
            username_ : QMapUtils.getDataByKey(pictureInfo, "username"),
            //picture_id: QMapUtils.getDataByKey(pictureInfo, "picture_id"),
            access_level: QMapUtils.getDataByKey(pictureInfo, "access_level"),
            salt: QMapUtils.getDataByKey(pictureInfo, "salt"),
            ads_url : QMapUtils.getDataByKey(pictureInfo, "ads_url") ? QMapUtils.getDataByKey(pictureInfo, "ads_url") : "",
            pictureInfo : pictureInfo
        };

        pageStack.push(Qt.resolvedUrl("../Screen/PhotoViewScreen.qml"), param);
    }
}

function openPhotoViewFromPictureInfoWithCommentDialog(pictureInfo)
{
    //if (QMapUtils.getDataByKey(pictureInfo, "picture_id"))
    {
        var param = {
            love_count: QMapUtils.getDataByKey(pictureInfo, "love_count"),
            done_love : QMapUtils.getDataByKey(pictureInfo, "done_love"),
            comment_count : QMapUtils.getDataByKey(pictureInfo, "comment_count"),
            picture_name : QMapUtils.getDataByKey(pictureInfo, "name"),
            picture_code : QMapUtils.getDataByKey(pictureInfo, "picture_code"),
            profile_picture_code : QMapUtils.getDataByKey(pictureInfo, "profile_picture_code", "null"),
            view_count : QMapUtils.getDataByKey(pictureInfo, "view_count"),
            create_time : QMapUtils.getDataByKey(pictureInfo, "create_time"),
            user_id_ : QMapUtils.getDataByKey(pictureInfo, "user_id"),
            username_ : QMapUtils.getDataByKey(pictureInfo, "username"),
            //picture_id: QMapUtils.getDataByKey(pictureInfo, "picture_id"),
            access_level: QMapUtils.getDataByKey(pictureInfo, "access_level"),
            salt: QMapUtils.getDataByKey(pictureInfo, "salt"),
            ads_url : QMapUtils.getDataByKey(pictureInfo, "ads_url") ? QMapUtils.getDataByKey(pictureInfo, "ads_url") : "",
            pictureInfo : pictureInfo,
            commentDialogActive : true
        };

        pageStack.push(Qt.resolvedUrl("../Screen/PhotoViewScreen.qml"), param);
    }
}

function openProfileViewScreenByUsername(username)
{
    pageStack.push(Qt.resolvedUrl("ProfileViewScreen.qml"), {userName: username});
}

function openProfileViewScreenById(user_id)
{
    pageStack.push(Qt.resolvedUrl("ProfileViewScreen.qml"), {userId : user_id});
}

function openUserTimelineScreen(username)
{
    pageStack.push(Qt.resolvedUrl("../Screen/UserTimelineScreen.qml"), {title : username+"'s Photo", userName: username})
}

function openUserFollowerScreen(username)
{
    pageStack.push(Qt.resolvedUrl("../Screen/FriendListScreen.qml"),{title : username+"'s Follower", userName: username, isFollower: true})
}

function openUserFollowingScreen(username)
{
    pageStack.push(Qt.resolvedUrl("../Screen/FriendListScreen.qml"),{title : username+"'s Following", userName: username, isFollowing: true})
}
