import QtQuick 1.0
import "../../util/constant.js" as Constant

Item {
    width: childrenRect.width
    height: childrenRect.heights
    signal clicked
    property bool isFollow
    SmallButton {
        id: btnFollowing
        text: "Following"
        color: Constant.COLOR_GREEN
        visible: parent.isFollow
        textSize: themeManager.followingFontSize
        iconSource: "../res/following_sign.png"
        onClicked: parent.clicked();
    }
    SmallButton{
        id: btnUnFollow
        text: "Follow"
        color: Constant.COLOR_GRAY
        visible: !parent.isFollow
        textSize: themeManager.followingFontSize
        onClicked: parent.clicked();
    }
}
