import QtQuick 1.0
import MOLOMELib 1.0
import "../../util/constant.js" as Constant

Image {
    id: buttonbase

    signal clicked

    property string text
    property int color: Constant.COLOR_GREEN

    width: btn.width
    height: btn.height

    Button {
        id: btn
        bitmap: (buttonbase.color == Constant.COLOR_GREEN ? "../res/green_color_button_medium.png" : (buttonbase.color == Constant.COLOR_ORANGE ? "../res/orange_color_button_medium.png" : "../res/gray_color_button_medium.png"))
        bitmap_pressed: (buttonbase.color == Constant.COLOR_GREEN ? "../res/green_color_button_medium_pressed.png" : (buttonbase.color == Constant.COLOR_ORANGE ? "../res/orange_color_button_medium_pressed.png" : "../res/gray_color_button_medium_pressed.png"))
        text: buttonbase.text
        textSize: themeManager.mediumButtonFontSize
        onClicked: {
            parent.clicked()
        }
    }

}
