import QtQuick 1.0
import MOLOMELib 1.0
import "../../util/constant.js" as Constant


Item {
    id: buttonbase

    signal clicked

    property string text: "Following"
    property int textSize: themeManager.smallButtonFontSize
    property int color: Constant.COLOR_GREEN

    property string iconSource: ""

    width: btn.width
    height: btn.height

    Button {
        id: btn
        bitmap: (color == Constant.COLOR_GREEN ? "../res/green_color_button_small.png" : "../res/gray_color_button_small.png")
        bitmap_pressed: (color == Constant.COLOR_GREEN ? "../res/green_color_button_small_pressed.png" : "../res/gray_color_button_small_pressed.png")
        text: buttonbase.text
        textSize: buttonbase.textSize
        iconSource: buttonbase.iconSource
        onClicked: {
            parent.clicked()
        }
    }

}
