import QtQuick 1.0

Image {

    id: buttonbase

    signal clicked(bool shareStatus)

    property bool shareOn: false

    property bool pressed: hitbox.pressed && hitbox.containsMouse

    source: shareOn ? "../res/btn_toggle_on.png" : "../res/btn_toggle_off.png"

    MouseArea {
        id: hitbox
        anchors.fill: parent

        onClicked: {
            shareOn = !shareOn;
            parent.clicked(shareOn)
        }
    }

}
