import QtQuick 1.0

Image {
    id: dialogHeader

    property string text

    source: "../res/dialog_frame_top.png"
    fillMode: Image.Tile
    height: dialogHeader.text == "" ? themeManager.dialogHeaderHeightWhenNotHaveCaption : themeManager.headerDialogHeight

    Rectangle {
        id: detailbox
        width: childrenRect.width + themeManager.tenPadding
        height: childrenRect.height + themeManager.sixPadding
        border.width: 1
        border.color: "#C0C0C0"
        color: "#D0D0D0"
        radius: 6
        anchors.verticalCenterOffset: themeManager.dialogHeaderTextVerticalOffset
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        visible: dialogHeader.text == "" ? false : true

        Text {
            id: textDetail
            color: "#808080"
            x: themeManager.dialogHeaderTextX
            y: themeManager.dialogHeaderTextY
            //anchors.centerIn: parent
            text: dialogHeader.text
            font.bold: true
            font.pixelSize: themeManager.dialogFontSizeSmall
        }
    }
}
