import QtQuick 1.0
import "../UIComponents"

Item {
    id: multiDelegate

    height: themeManager.chooseIntervalListComponentHeight
    width: multiDelegate.ListView.view.width

    Component {
        id: chooseAccessLevelDelegate
        ChooseAccessLevelListComponent {
            id: chooseAccessLevelComponent
            text: _text
            level: _level
            selected: _selected
            onClicked: chooseAccessLevelListView.clicked(level)
        }
    }

    Loader {
        id: itemDisplay
        anchors.fill: parent
        sourceComponent: chooseAccessLevelDelegate
    }
}
