import QtQuick 1.0
import "../UIComponents"

Item {
    id: multiDelegate

    height: 60
    width: multiDelegate.ListView.view.width

    Component {
        id: chooseLanguageDelegate
        ChooseLanguageComponent {
            id: chooseLanguageComponent
            text: _text
            selected: _selected
            language: _language
            onClicked: chooseLanguageListView.clicked(language)
        }
    }

    Loader {
        id: itemDisplay
        anchors.fill: parent
        sourceComponent: chooseLanguageDelegate
    }
}
