import QtQuick 1.0
import MOLOMELib 1.0
import "../ListDelegate"
import "../ListModel"

Flow {
    id: flowPhoto

    spacing: 5

    ListModel { id: dummy }

    Repeater {
        id: repeater
        model: profileViewComponent.visible ? profileViewManager.recentImagesModel : dummy
        delegate: PhotoComponentDelegate { cacheMode: ImageCacheMode.CacheNotImportant }
    }
}
