import QtQuick 1.0
import MOLOMELib 1.0
import "../../platforms"

PageWrapper {
    id: photoPickerScreen
    width: parent.width
    height: parent.height

    /*
    MouseArea {
        anchors.fill: parent
        onClicked: {
            //pageStack.pop();
        }
    }
    */

    Rectangle {
        color: "black"
        anchors.fill: parent
    }

    orientationLock: themeManager.pageOrientationPortrait

    PhotoPicker {
        id: photoPicker
        onSelected: {
            pageStack.pop(photoPickerScreen, true);
            pageStack.push(Qt.resolvedUrl("ZoomCropScreen.qml"), {file: filename}, true);
        }
        onCanceled: {
            pageStack.pop(photoPickerScreen, true);
        }
    }

    onStatusChanged: {
        if (status === 2)
            photoPicker.launch();
    }

    Component.onCompleted: {

    }
}
