import QtQuick 1.0
import QtWebKit 1.0
import "../UIComponents"
import "../js/createComponent.js" as CreateComponent
import "../../platforms"

PageWrapper {
    id: readMoreScreen
    width: themeManager.screenWidth
    height: themeManager.screenHeight
    property string url

    orientationLock: themeManager.pageOrientationPortrait

    Header {
        id: header
        anchors.top: parent.top
    }
    Flickable {
        id: webViewScroll
        anchors.top: header.bottom
        width: parent.width
        height: parent.height - header.height
        contentWidth: webView.width
        contentHeight: webView.height
        interactive: true
        clip: true
        WebView {
            id: webView
            url: readMoreScreen.url
            preferredHeight: webViewScroll.height
            preferredWidth: webViewScroll.width
            settings.javascriptEnabled: false //false
            onUrlChanged: {

            }

            onLoadFinished: {

            }
        }
    }
}
