import QtQuick 1.0
import "../ButtonComponents"
import "../js/createComponent.js" as CreateComponent
import "../../util/common.js" as Common
import "../../platforms"
import "../Dialog"

PageWrapper {
    id: tmpScreen
    width: themeManager.screenWidth
    height: themeManager.screenHeight
    orientationLock: themeManager.pageOrientationPortrait

    MouseArea {
        anchors.fill: parent
        onClicked: {
            pageStack.replace(Qt.resolvedUrl("MainScreen.qml"), null, true);
        }
    }
}
