import QtQuick 1.0

Item {
    id: profileDesciptionComponent
    property bool isUser
    property string bioText

    width: themeManager.screenWidth
    height: childrenRect.height
    Image {
        id: bioUser
        width: parent.width
        height: parent.isUser == true ? childrenRect.height+10 : 0
        anchors.left: parent.left
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        visible: parent.isUser == true ? true : false
        source: "../res/textbox_bg.png"
            TextEdit {
                id: textEditBio
                width: parent.width
                cursorVisible: true
                cursorPosition: textEditBio.text.length
                text: profileDesciptionComponent.bioText
                wrapMode: TextEdit.WrapAtWordBoundaryOrAnywhere
            }

    }
    Image {
        id: bioNotUser
        width: parent.width
        height: parent.isUser == false ? childrenRect.height+10 : 0
        anchors.left: parent.left
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        visible: parent.isUser == false ? true : false
        source: "../res/textbox_bg.png"

            Text {
                id: textDescription
                width: parent.width
                anchors.right: parent.right
                anchors.rightMargin: 5
                anchors.left: parent.left
                anchors.leftMargin: 5
                anchors.top: parent.top
                anchors.topMargin: 5
                text: profileDesciptionComponent.bioText
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            }
    }
}
