import QtQuick 1.0

Item {
    id: settingsCaption
    property string text
    width: parent.width
    height: themeManager.settingCaptionHeight

    Item {
        id: body
        width: parent.width
        height: childrenRect.height
        anchors.top: parent.top
        anchors.topMargin: themeManager.bigPadding
        anchors.bottom: parent.bottom
        anchors.bottomMargin: themeManager.bigPadding
        Text {
            id: captionTxt
            x: themeManager.textSettingCaptionX
            font.bold: true
            color: "gray"
            text: settingsCaption.text
            font.pixelSize: themeManager.settingCaptionAndSettingItemFontSize
        }
        Rectangle {
            id: separator
            y: themeManager.lineSettingCaptionY
            height: 1
            color: "#cccccc"
            anchors.right: parent.right
            anchors.rightMargin: themeManager.bigPadding
            anchors.left: captionTxt.right
            anchors.leftMargin: themeManager.bigPadding
        }
    }
}
